@import "~common-components/src/static/css/mixins";

.modal-loader {
  margin: 5vh 0;
  display: flex;
  justify-content: center;
  transition: none;
}

.bottom-10 {
  margin-bottom: 10px;
}

.bottom-20 {
  margin-bottom: 20px;
}

.bottom-30 {
  margin-bottom: 30px;
}

.inputs-group {
  display: grid;
  grid-auto-flow: column;
  grid-gap: 10px;
  margin-bottom: 10px;
  grid-template-columns: 190px 180px;
}

.title {
  @include font-mixin(20px, 28px, 700, $color-text-base, 0.4px);

  margin-bottom: 15px;
}

.subtitle {
  @include font-mixin(16px, 20px, 700, $color-text-base, 0.4px);

  margin-bottom: 10px;
}

.text-description {
  @include font-mixin(12px, 18px, 400, $gray-slate);
}

.loading-type-checkbox {
  display: inline-block;

  &:not(:last-child) {
    margin-right: 20px;
  }
}

.ownership-checkboxes {
  display: grid;
  grid-gap: 40px;
  grid-auto-flow: column;
  grid-auto-columns: max-content;
}

.rent-scan {
  margin-top: 15px;
}

.checkbox-list-item:not(:last-child) {
  margin-bottom: 10px;
}

.uploader {
  text-align: center;

  &.hidden::v-deep {
    .ob-uploader-body {
      display: none;
    }

    .ob-uploader-chips {
      margin: 0 0 -10px;
    }

    .ob-uploader__chip {
      margin: 0 13px 10px 0;
    }
  }
}

.uploader-label {
  @include font-mixin(14px, 20px, 400, $color-text-base);

  margin-bottom: 10px;
}